NX Open C++ Reference Guide
|
This class is used to add symmetric contraint to objects from a SketchMakeSymmetricBuilder . More...
Public Member Functions | |
NXOpen::SelectNXObject * | CenterLine () |
Returns the function returns the center line of a symmetric constraint. | |
bool | ConvertToReference () |
Returns the function returns the flag to indicate if the centerline needs to be converted to reference Created in NX7.5.0. | |
NXOpen::SelectNXObject * | PrimaryObject () |
Returns the function returns the primary object of a symmetric constraint. | |
NXOpen::SelectNXObject * | SecondaryObject () |
Returns the function returns the secondary object of a symmetric constraint. | |
void | SetConvertToReference (bool reference) |
Sets the function returns the flag to indicate if the centerline needs to be converted to reference Created in NX7.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This class is used to add symmetric contraint to objects from a SketchMakeSymmetricBuilder .
<br> To create a new instance of this class, use @link SketchCollection::CreateMakeSymmetricBuilder SketchCollection::CreateMakeSymmetricBuilder @endlink <br>
Default values.
Property | Value |
---|---|
ConvertToReference |
True |
Created in NX7.5.0.
NXOpen::SelectNXObject* NXOpen::SketchMakeSymmetricBuilder::CenterLine | ( | ) |
Returns the function returns the center line of a symmetric constraint.
This must be a straight line, straight edge, datum axis or datum plane. If the centerline is line, edge or datum axis, it is not perpendicular to the sketch plane. If the centerline is datum plane, it is not parallel to the sketch plane. If an entity is selected that is not part of sketch, it will be projected on the sketch plane and the projection will be used as the center line.
Created in NX7.5.0.
License requirements : None
bool NXOpen::SketchMakeSymmetricBuilder::ConvertToReference | ( | ) |
Returns the function returns the flag to indicate if the centerline needs to be converted to reference
Created in NX7.5.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::SketchMakeSymmetricBuilder::PrimaryObject | ( | ) |
Returns the function returns the primary object of a symmetric constraint.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::SketchMakeSymmetricBuilder::SecondaryObject | ( | ) |
Returns the function returns the secondary object of a symmetric constraint.
Created in NX7.5.0.
License requirements : None
void NXOpen::SketchMakeSymmetricBuilder::SetConvertToReference | ( | bool | reference | ) |
Sets the function returns the flag to indicate if the centerline needs to be converted to reference
Created in NX7.5.0.
License requirements : None
reference | reference |